var Indexer = require('../lib/indexer');

var users = [
  { name: 'sheryl', age: 33 },
  { name: 'jaydee', age: 32 },
  { name: 'addie', age: 0.33 },
  { name: 'jayden', age: 21 },
  { name: 'adrienne', age: 19 },
  { name: 'jaime', age: 21 },
  { name: 'james', age: 33 },
  { name: 'adelle', age: 21 },
  { name: 'sheila', age: 33 },
  { name: 'shermaine', age: 19 }
];

function populateIndex(index, field, records) {
  for (var i = 0, n = records.length; i < n; ++i) {
    index.add(records[i][field], i);
  }
}

var numeric_index = Indexer.create({
  name: 'age',
  type: 'numeric'
});

populateIndex(numeric_index, 'age', users);

console.log(
  'Matching entries for [32]: ' + numeric_index.search(32) + '\n' +
  'Matching entries for [19]: ' + numeric_index.search(19) + '\n' +
  'Matching entries for [21]: ' + numeric_index.search(21) + '\n' +
  'Matching entries for [33]: ' + numeric_index.search(33)
);
